version: '3'

services:
  db:
    image: postgres
    env_file:
      - postgres.env
    volumes:
      - pgdata:/var/lib/postgresql/data/
  app:
    build:
      context: .
      dockerfile: ./Dockerfile
    environment:
      SQLALCHEMY_DATABASE_URI: postgresql+psycopg2://postgres:postgres@db:5432/myblog
    ports:
      - 5000:80
    depends_on:
      - db
    restart: on-failure 
volumes:
  pgdata:
    external: true